com.pixelmed.dicom

## Class SUVTransform.SingleSUVTransform

- java.lang.Object
- - com.pixelmed.dicom.SUVTransform.SingleSUVTransform

Enclosing class:
  SUVTransform

    public class SUVTransform.SingleSUVTransform
    extends java.lang.Object

### Method Summary

Methods
`java.lang.String` `getSUVbsaUnits()`
`double` `getSUVbsaValue(double storedValue)`
`java.lang.String` `getSUVbwUnits()`
`double` `getSUVbwValue(double storedValue)`
`java.lang.String` `getSUVibwUnits()`
`double` `getSUVibwValue(double storedValue)`
`java.lang.String` `getSUVlbmUnits()`
`double` `getSUVlbmValue(double storedValue)`
`boolean` `isValidSUVbsa()`
`boolean` `isValidSUVbw()`
`boolean` `isValidSUVibw()`
`boolean` `isValidSUVlbm()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### isValidSUVbw

    public boolean isValidSUVbw()

#### getSUVbwValue

    public double getSUVbwValue(double storedValue)

#### getSUVbwUnits

    public java.lang.String getSUVbwUnits()

#### isValidSUVbsa

    public boolean isValidSUVbsa()

#### getSUVbsaValue

    public double getSUVbsaValue(double storedValue)

#### getSUVbsaUnits

    public java.lang.String getSUVbsaUnits()

#### isValidSUVlbm

    public boolean isValidSUVlbm()

#### getSUVlbmValue

    public double getSUVlbmValue(double storedValue)

#### getSUVlbmUnits

    public java.lang.String getSUVlbmUnits()

#### isValidSUVibw

    public boolean isValidSUVibw()

#### getSUVibwValue

    public double getSUVibwValue(double storedValue)

#### getSUVibwUnits

    public java.lang.String getSUVibwUnits()